Skip to main content
GET
/
crawls
/
{id}
Get web crawl data source details
curl --request GET \
  --url https://developer.qaip.com/api/v1/crawls/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "start_url": "<string>",
  "status": "unknown",
  "ingestion_setting_id": "<string>",
  "creation_time": 123,
  "start_time": 123,
  "end_time": 123,
  "error": {
    "title": "<string>",
    "message": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

id
string
required

Web crawl data source ID

Response

Successful retrieval of web crawl data source

id
string
required

Web crawl data source ID

name
string
required

Name of the web crawl ingestion setting

start_url
string
required

Start URL of the web crawl

status
enum<string>
required

Job status

Available options:
unknown,
queued,
not_started,
managed,
starting,
started,
success,
failure,
canceling,
canceled,
deleting,
delete_job_failure
ingestion_setting_id
string

Web crawl ingestion setting ID

creation_time
integer<int64>

Creation time (Unix timestamp in seconds)

start_time
integer<int64>

Job start time (Unix timestamp in seconds)

end_time
integer<int64>

Job end time (Unix timestamp in seconds)

error
object